"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Backdrop = void 0;
const react_1 = __importDefault(require("react"));
const Backdrop = ({ isVisible, children, ...rest }) => {
    return (react_1.default.createElement("div", { style: { display: (isVisible) ? 'block' : 'none', backgroundColor: '#11111177' }, tabIndex: -1, "aria-modal": "true", role: "dialog", className: (isVisible) ? 'modal fade show' : 'modal fade', ...rest }, children));
};
exports.Backdrop = Backdrop;
//# sourceMappingURL=backdrop.js.map