/// <reference types="react" />
export type HeaderInfo = {
    baseUrl: string;
    description: string;
    imageAlt: string;
    relativeImageUrl: string;
    relativePageUrl: string;
    siteName: string;
    title: string;
    twitterName: string;
    type: string;
};
export declare function getHeaderTags(headerInfo: HeaderInfo): JSX.Element;
export interface ISeo {
    headerInfo: HeaderInfo;
}
export declare const Seo: ({ headerInfo }: ISeo) => JSX.Element;
